#ifndef _LCR_CONSTANTS_H
#define _LCR_CONSTANTS_H

#include "settings.h"

#define LCR_EFFECTIVE_RESOLUTION_X \
  (LCR_SETTING_RESOLUTION_X / LCR_SETTING_RESOLUTION_SUBDIVIDE)

#define LCR_EFFECTIVE_RESOLUTION_Y \
  (LCR_SETTING_RESOLUTION_Y / LCR_SETTING_RESOLUTION_SUBDIVIDE)

#define LCR_FREE_CAMERA_STEP \
  (LCR_SETTING_FREE_CAMERA_SPEED / LCR_SETTING_FPS)

#if LCR_FREE_CAMERA_STEP == 0
  #define LCR_FREE_CAMERA_STEP 1
#endif

#define LCR_FREE_CAMERA_TURN_STEP \
  (LCR_SETTING_FREE_CAMERA_TURN_SPEED / LCR_SETTING_FPS)

#define LCR_MAP_SIZE_BLOCKS 64

/** Physics FPS, i.e. the number of physics ticks per second. */
#define LCR_RACING_FPS 25

#define LCR_RACING_TICK_MS (1000 / LCR_RACING_FPS)

#define LCR_ANIMATE_CAR (LCR_SETTING_CAR_ANIMATION_SUBDIVIDE != 0)

/** Maximum number of triangles of a block shape. */
#define LCR_MAP_BLOCK_SHAPE_MAX_BYTES 80

#endif
